function [ff] = cycle(x,pars)

alpha=pars(1);
gam=pars(2);
beta=pars(3);

k1=1/(1+exp(-x(1)));
k2=1/(1+exp(-x(2)));

[v1] = Euler([alpha gam beta],[k1 k2 k1]);

[v2] = Euler([alpha gam beta],[k2 k1 k2]);

ff=v1^2+v2^2;