function [v] = Euler(pars,x)

alpha=pars(1);
gam=pars(2);
beta=pars(3);

k=x(1);
kp=x(2);
kpp=x(3);

v=-(1-alpha)*(k^(alpha*gam)) * ((1-kp)^((1-alpha)*gam-1)) ...
    + beta*alpha * (kp^(alpha*gam-1)) * ((1-kpp)^((1-alpha)*gam));